<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:rich="http://richfaces.org/rich"
                xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:gri="http://java.sun.com/jsf/composite/gri"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:g="http://www.ihe.net/gazelle"
                template="/layout/template.xhtml">
    <ui:define name="body">
        <h1>#{messages['gazelle.PAMSimulator.PreferencesForSystemsUnderTest']}</h1>
        <s:div id="globalDiv">
            <h:form id="filterForm">
                <ui:decorate template="/layout/panels/_panel_filter_criteria.xhtml">
                    <ui:define name="filter_buttons">
                        <a4j:commandLink title="#{messages['net.ihe.gazelle.atna.RefreshResults']}"
                                         render="globalDiv">
                            <span class="fa fa-refresh"/>
                        </a4j:commandLink>
                        <a4j:commandLink title="#{messages['net.ihe.gazelle.atna.ResetCriteria']}"
                                         actionListener="#{sutPreferencesManager.reset}"
                                         render="globalDiv">
                            <span class="fa fa-times-circle"/>
                        </a4j:commandLink>
                    </ui:define>
                    <div class="row">
                        <div class="col-md-6">
                            <ui:include src="/filter/filter.xhtml">
                                <ui:param name="filterName" value="#{messages['gazelle.PAMSimulator.ConfigurationsName']}"/>
                                <ui:param name="filterId" value="sut"/>
                                <ui:param name="filter" value="#{sutPreferencesManager.filter}"/>
                                <ui:param name="filterForm" value="filterForm"/>
                            </ui:include>
                        </div>
                        <div class="col-md-6"></div>
                    </div>
                    <s:div styleClass="row" rendered="#{identity.loggedIn}">
                        <div class="col-md-6">
                            <ui:include src="/filter/filter.xhtml">
                                <ui:param name="filterName" value="#{messages['gazelle.simu.Owner']}"/>
                                <ui:param name="filterId" value="owner"/>
                                <ui:param name="filter" value="#{sutPreferencesManager.filter}"/>
                                <ui:param name="filterForm" value="filterForm"/>
                            </ui:include>
                        </div>
                        <div class="col-md-6">
                            <ui:include src="/filter/filter.xhtml">
                                <ui:param name="filterName" value="#{messages['gazelle.PAMSimulator.Company']}"/>
                                <ui:param name="filterId" value="company"/>
                                <ui:param name="filter" value="#{sutPreferencesManager.filter}"/>
                                <ui:param name="filterForm" value="filterForm"/>
                            </ui:include>
                        </div>
                    </s:div>
                </ui:decorate>
                <gri:panel pid="prefListPanel">
                    <f:facet name="header">#{messages['gazelle.PAMSimulator.PreferencesForSystemUnderTests']}</f:facet>
                    <div>
                        <h:outputText
                                value="#{messages['gazelle.PAMSimulator.IfYourSystemDoesNotAppearInTheTableBelowDefineIt']}"
                                styleClass="help-block"/>
                    </div>
                    #{dataTableStateHolder.setAscendingOn('systemUnderTest.name')}
                    <rich:dataTable value="#{sutPreferencesManager.getSutPreferences()}" var="pref" id="prefTable"
                                    rows="#{dataScrollerMemory.numberOfResultsPerPage}"
                                    render="dsPref">
                        <g:column sortBy="#{'systemUnderTest.name'}"
                                  sortOrder="#{dataTableStateHolder.sortOrders['systemUnderTest.name']}"
                                  filterBy="#{'systemUnderTest.name'}" filterEvent="keyup">
                            <ui:define name="header">#{messages['gazelle.simu.SystemsName']}</ui:define>
                            <h:outputText value="#{pref.systemUnderTest.name}"/>
                        </g:column>
                        <g:column>
                            <ui:define name="header">#{messages['net.ihe.gazelle.patientmanager.AssigningAuthorities']}</ui:define>
                            <rich:list value="#{pref.assigningAuthorities}" var="aa">
                                <h:outputText value="#{aa.displayWithAmp()}"/>
                            </rich:list>
                        </g:column>
                        <g:column rendered="#{sutPreferencesManager.isConnectathonFeatureActivated()}">
                            <ui:define name="header">#{messages['gazelle.PAMSimulator.PreferredMessageForSharing']}</ui:define>
                            <h:outputText value="#{pref.preferredMessage.label}"/>
                        </g:column>
                        <g:column>
                            <ui:define name="header">#{messages['gazelle.simulator.pam.Creator']}</ui:define>
                            <h:outputText value="#{sutPreferencesManager.getUserName(pref.lastModifier)}"/>
                        </g:column>
                        <g:column>
                            <ui:define name="header">#{messages['gazelle.simulator.pam.CreationDate']}</ui:define>
                            <g:date value="#{pref.lastUpdate}"/>
                        </g:column>
                        <g:column>
                            <ui:define name="header">#{messages['net.ihe.gazelle.patgen.Actions']}</ui:define>
                            <h:outputLink value="#{sutPreferencesManager.editPreferences(pref)}"
                                          title="#{messages['gazelle.PAMSimulator.EditPreferences']}">
                                <s:span styleClass="gzl-icon-pencil"/>
                            </h:outputLink>
                        </g:column>
                        <f:facet name="footer">
                            <ui:include src="/util/datatableFooter.xhtml">
                                <ui:param name="dataScrollerId" value="dsPref"/>
                                <ui:param name="dataTableId" value="prefTable"/>
                            </ui:include>
                        </f:facet>
                    </rich:dataTable>
                    <f:facet name="footer">
                        <a4j:commandButton value="#{messages['gazelle.PAMSimulator.DefinePreferences']}"
                                           action="#{sutPreferencesManager.goToCreationPage()}"
                                           styleClass="gzl-btn-green"/>
                    </f:facet>
                </gri:panel>
            </h:form>
        </s:div>
    </ui:define>
</ui:composition>